Last Comment Bug 814987 - Clicking at the top edge of screen should select the tab when Thunderbird is maximized
: Clicking at the top edge of screen should select the tab when Thunderbird is ...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: 17 Branch
: x86_64 Windows 7
: -- normal with 1 vote (vote)
: Thunderbird 21.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-25 14:11 PST by Anjor
Modified: 2013-03-05 06:56 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
20+
fixed


Attachments
Remove the gap (1.04 KB, patch)
2013-01-20 01:09 PST, Richard Marti (:Paenglab)
mconley: review+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr17+
Details | Diff | Splinter Review

Description Anjor 2012-11-25 14:11:56 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.11 (KHTML, like Gecko) Chrome/23.0.1271.64 Safari/537.11

Steps to reproduce:

In Thunderbird 17, tabs are now drawn in title bar, Similar to Firefox. When the user wants to select a tab in fullscreen mode, (s)he may sometimes end up clicking on the small area above the tab


Actual results:

The click is ignored.


Expected results:

The tab should accept the click done at top edge of screen as well, as the user has to take extra efforts to accurately position mouse cursor on the tab. Accepting the click at the top edge of screen make the UI navigation more efficient.
Comment 1 Mark Banner (:standard8) 2012-11-26 01:33:26 PST
The area above the tab button is for selecting the window (without changing the window state) and for allowing dragging of the window.

I think this is probably won't fix.
Comment 2 Richard Marti (:Paenglab) 2012-12-04 05:04:43 PST
Yes I close it as WONTFIX. I'll check the behavior of Firefox when it has implemented the Australis tabs. If it's different to our solution I'll file a new bug and fix it then.
Comment 3 Anjor 2012-12-08 07:27:28 PST
(In reply to Mark Banner (:standard8) from comment #1)
> The area above the tab button is for selecting the window (without changing
> the window state) and for allowing dragging of the window.

I'm referring to the use case when Thunderbird window is maximized.

A user has to switch tab much more often when in maximized mode as compared to selecting the window, and having to precisely position the mouse pointer (especially when using touchpad) is quite an inconvenience from the usability point of view.


(In reply to Richard Marti [:Paenglab] from comment #2)
> Yes I close it as WONTFIX. I'll check the behavior of Firefox when it has
> implemented the Australis tabs. If it's different to our solution I'll file
> a new bug and fix it then.

The nightly UX build of firefox has this behaviour of selecting the tab for clicks done at the top edge of the screen.
Comment 4 Matt Brubeck (:mbrubeck) 2013-01-14 21:32:50 PST
(In reply to Richard Marti [:Paenglab] from comment #2)
> Yes I close it as WONTFIX. I'll check the behavior of Firefox when it has
> implemented the Australis tabs. If it's different to our solution I'll file
> a new bug and fix it then.

In Firefox nightly builds from the UX branch (with the Australis theme) the clickable area for tabs does in fact extend to the top edge of the screen, when the window is maximized.

Can this bug be reopened, please?  Allowing clicks at the top of the screen when maximized makes tab switching much easier.  In fact, Alex Faaborg from the Firefox UX team said "The efficiency gain of leveraging the screen edge was one of the primary reasons we placed tabs on top" (bug 572160 comment 188).
Comment 5 Richard Marti (:Paenglab) 2013-01-20 01:09:25 PST
Created attachment 704305 [details] [diff] [review]
Remove the gap
Comment 6 Mike Conley (:mconley) - (needinfo me!) 2013-02-15 13:38:17 PST
Comment on attachment 704305 [details] [diff] [review]
Remove the gap

Yes, this does the job. Thanks Paenglab!
Comment 7 Richard Marti (:Paenglab) 2013-02-15 13:57:03 PST
Comment on attachment 704305 [details] [diff] [review]
Remove the gap

[Approval Request Comment]
This is only a small CSS change. If applied to ESR it would make equality to actual Firefox (and also future Australis Firefox).
Comment 8 Ryan VanderMeulen [:RyanVM] 2013-02-15 18:04:24 PST
https://hg.mozilla.org/comm-central/rev/4999a8cba27e
Comment 9 Mark Banner (:standard8) 2013-03-05 03:25:02 PST
Comment on attachment 704305 [details] [diff] [review]
Remove the gap

As this has already landed in 21, a=me for beta & esr17.
Comment 10 Mark Banner (:standard8) 2013-03-05 06:50:55 PST
https://hg.mozilla.org/releases/comm-beta/rev/9e808802e429
Comment 11 Mark Banner (:standard8) 2013-03-05 06:56:08 PST
https://hg.mozilla.org/releases/comm-esr17/rev/71b75750c19c

Note You need to log in before you can comment on or make changes to this bug.